--- Makefile.orig	2009-11-30 16:45:00.000000000 +0000
+++ Makefile	2010-01-05 03:34:57.000000000 +0000
@@ -14,9 +14,9 @@
 #GCLVERSION=gcl-2.6.6
 #GCLVERSION=gcl-2.6.7pre
 #GCLVERSION=gcl-2.6.7
-#GCLVERSION=gcl-2.6.8pre
+GCLVERSION=gcl-2.6.8pre
 #GCLVERSION=gcl-2.6.8pre2
-GCLVERSION=gcl-2.6.8pre3 
+#GCLVERSION=gcl-2.6.8pre3 
 AWK:=gawk
 GCLDIR:=${LSP}/${GCLVERSION}
 SRC:=${SPD}/src
@@ -34,7 +34,7 @@
 DOCUMENT:=${SPADBIN}/document
 TANGLE:=${SPADBIN}/lib/notangle
 WEAVE:=${SPADBIN}/lib/noweave
-NOISE:="-o ${TMP}/trace"
+NOISE:=-o ${TMP}/trace
 PATCH:=patch
 UNCOMPRESS:=gunzip
 
@@ -45,7 +45,7 @@
 ENV:= SPAD=${SPAD} SYS=${SYS} SPD=${SPD} LSP=${LSP} GCLDIR=${GCLDIR} \
      SRC=${SRC} INT=${INT} OBJ=${OBJ} MNT=${MNT} ZIPS=${ZIPS} TMP=${TMP} \
      SPADBIN=${SPADBIN} INC=${INC} CCLBASE=${CCLBASE} PART=${PART} \
-     SUBPART=${SUBPART} NOISE=${NOISE} GCLVERSION=${GCLVERSION} \
+     SUBPART=${SUBPART} NOISE="${NOISE}" GCLVERSION=${GCLVERSION} \
      TANGLE=${TANGLE} VERSION=${VERSION} PATCH=${PATCH} DOCUMENT=${DOCUMENT} \
      WEAVE=${WEAVE} UNCOMPRESS=${UNCOMPRESS} BOOKS=${BOOKS}
 
@@ -59,16 +59,16 @@
 	@ cp Makefile.dvi ${MNT}/${SYS}/doc/src/root.Makefile.dvi
 	@ echo p2 starting parallel make of books
 	@ echo p3 ${SPD}/books/Makefile from ${SPD}/books/Makefile.pamphlet
-	@ ( cd ${SPD}/books ; \
-           ${DOCUMENT} ${NOISE} Makefile ; \
-           cp Makefile.dvi ${MNT}/${SYS}/doc/src/books.Makefile.dvi ; \
-	   ${ENV} ${MAKE} & )
+	@( cd ${SPD}/books && \
+           ${DOCUMENT} ${NOISE} Makefile && \
+           cp Makefile.dvi ${MNT}/${SYS}/doc/src/books.Makefile.dvi && \
+	   ${ENV} ${MAKE} )
 	@ echo p4 starting parallel make of input documents
-	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
+	@ ${ENV} ${MAKE} parallelinput ${NOISE} 
 	@ echo p5 starting parallel make of xhtml documents
-	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} &
+	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} 
 	@ echo p6 starting parallel make of help
-	@ ${ENV} $(MAKE) parallelhelp ${NOISE} &
+	@ ${ENV} $(MAKE) parallelhelp ${NOISE} 
 	@ echo p7 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
--- Makefile.pamphlet.orig	2010-01-04 21:51:21.000000000 +0000
+++ Makefile.pamphlet	2010-01-04 21:52:11.000000000 +0000
@@ -45,16 +45,16 @@
 	@ cp Makefile.dvi ${MNT}/${SYS}/doc/src/root.Makefile.dvi
 	@ echo p2 starting parallel make of books
 	@ echo p3 ${SPD}/books/Makefile from ${SPD}/books/Makefile.pamphlet
-	@ ( cd ${SPD}/books ; \
-           ${DOCUMENT} ${NOISE} Makefile ; \
-           cp Makefile.dvi ${MNT}/${SYS}/doc/src/books.Makefile.dvi ; \
-	   ${ENV} ${MAKE} & )
+	@( cd ${SPD}/books && \
+           ${DOCUMENT} ${NOISE} Makefile && \
+           cp Makefile.dvi ${MNT}/${SYS}/doc/src/books.Makefile.dvi && \
+	   ${ENV} ${MAKE} )
 	@ echo p4 starting parallel make of input documents
-	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
+	@ ${ENV} ${MAKE} parallelinput ${NOISE} 
 	@ echo p5 starting parallel make of xhtml documents
-	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} &
+	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} 
 	@ echo p6 starting parallel make of help
-	@ ${ENV} $(MAKE) parallelhelp ${NOISE} &
+	@ ${ENV} $(MAKE) parallelhelp ${NOISE} 
 	@ echo p7 starting parallel make of src
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
@@ -287,7 +287,7 @@
 \end{verbatim}
 with the default value of NOISE being:
 \begin{verbatim}
-   NOISE="-o ${TMP}/trace"
+   NOISE=-o ${TMP}/trace
 \end{verbatim}
 
 The reason NOISE exists is that the latex command will
@@ -371,7 +371,7 @@
 DOCUMENT:=${SPADBIN}/document
 TANGLE:=${SPADBIN}/lib/notangle
 WEAVE:=${SPADBIN}/lib/noweave
-NOISE:="-o ${TMP}/trace"
+NOISE:=-o ${TMP}/trace
 PATCH:=patch
 UNCOMPRESS:=gunzip

@@ -380,7 +380,7 @@
 ENV:= SPAD=${SPAD} SYS=${SYS} SPD=${SPD} LSP=${LSP} GCLDIR=${GCLDIR} \
      SRC=${SRC} INT=${INT} OBJ=${OBJ} MNT=${MNT} ZIPS=${ZIPS} TMP=${TMP} \
      SPADBIN=${SPADBIN} INC=${INC} CCLBASE=${CCLBASE} PART=${PART} \
-     SUBPART=${SUBPART} NOISE=${NOISE} GCLVERSION=${GCLVERSION} \
+     SUBPART=${SUBPART} NOISE="${NOISE}" GCLVERSION=${GCLVERSION} \
      TANGLE=${TANGLE} VERSION=${VERSION} PATCH=${PATCH} DOCUMENT=${DOCUMENT} \
      WEAVE=${WEAVE} UNCOMPRESS=${UNCOMPRESS} BOOKS=${BOOKS}

@@ -806,9 +806,9 @@
 #GCLVERSION=gcl-2.6.6
 #GCLVERSION=gcl-2.6.7pre
 #GCLVERSION=gcl-2.6.7
-#GCLVERSION=gcl-2.6.8pre
+GCLVERSION=gcl-2.6.8pre
 #GCLVERSION=gcl-2.6.8pre2
-GCLVERSION=gcl-2.6.8pre3 
+#GCLVERSION=gcl-2.6.8pre3 
 @
 
 \subsubsection{The [[GCLOPTS]] configure variable}
@@ -867,7 +867,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -914,7 +914,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -961,7 +961,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1008,7 +1008,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1055,7 +1055,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1102,7 +1102,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1148,7 +1148,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1201,7 +1201,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1255,7 +1255,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 SRCDIRS=bootdir interpdir sharedir algebradir etcdir docdir inputdir
 PATCH=patch
@@ -1363,7 +1363,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1425,7 +1425,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1472,7 +1472,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1757,7 +1757,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-CUSTRELOC>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1815,7 +1815,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1891,7 +1891,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -1967,7 +1967,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2043,7 +2043,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2093,7 +2093,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2169,7 +2169,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2245,7 +2245,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2354,7 +2354,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2402,7 +2402,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2450,7 +2450,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2497,7 +2497,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2549,7 +2549,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-LOCBFD>>
 <<SRCDIRS>>
 PATCH=gpatch
@@ -2596,7 +2596,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2643,7 +2643,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2690,7 +2690,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2737,7 +2737,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2785,7 +2785,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2832,7 +2832,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2880,7 +2880,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2927,7 +2927,7 @@
 LISP=lisp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS>>
 <<SRCDIRS>>
 PATCH=patch
@@ -2991,7 +2991,7 @@
 LISP=lsp
 DAASE=${SRC}/share
 # where the libXpm.a library lives
-XLIB=/usr/X11R6/lib
+XLIB=/usr/lib
 <<GCLOPTS-CUSTRELOC>>
 <<SRCDIRS>>
 PATCH=patch
--- ./src/algebra/Makefile.pamphlet.orig	2010-03-29 22:49:51.000000000 +0000
+++ ./src/algebra/Makefile.pamphlet	2010-05-19 19:00:04.000000000 +0000
@@ -15968,7 +15968,7 @@
 	  else \
 	   echo '(progn (in-package (quote boot)) (compile-file "$*.lsp" :output-file "$*.o"))' | ${DEPSYS} >${TMP}/trace ; \
 	  fi )
-	@ cp ${MID}/$*.o ${OUT}/$*.o
+	@ mkdir -p $$(dirname $(OUT)/$*.o) && cp ${MID}/$*.o ${OUT}/$*.o
 
 @
 <<genericSPADfiles>>=
--- ./src/input/monitortest.input.pamphlet.orig	2010-03-29 22:49:52.000000000 +0000
+++ ./src/input/monitortest.input.pamphlet	2010-05-19 19:43:30.000000000 +0000
@@ -355,10 +355,11 @@
 
 \end{chunk}{*}
 
+\begin{chunk}{*}
 )spool 
 )lisp (bye)
  
-\end{chunk}
+\end{chunk}{*}
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} nothing
